From Rolisteam
Jump to: navigation, search

Pre-requirements

You have to install these packages:

sudo apt-get install libqt4-core qt4-dev-tools libqt4-gui libqt4-dev phonon phonon-backend-gstreamer libphonon4 libphonon-dev zlib1g-dev build-essential

Get Source code

You can get the source code of the latest stable version: [[1]]

You can also get source code from archive made every night: [[2]] [[3]]


Extract source code

You must extract the code source.

tar -xzvf rolisteam-1.6.1.tar.gz

or

unzip rolisteam-1.6.1.zip

Compile the source

cd rolisteam_1.6.1/
lrelease rolisteam.pro 
qmake -r
make


start rolisteam

./bin/rolisteam


FAQ

Phonon includes are not found

if you are getting this kind of error: src/LecteurAudio.h:49:38: fatal error: Phonon/MediaSource: No such file or directory

 qmake -r rolisteam.pro DEFINES+=_PHONON_INCLUDE_QT_

and retry. If the error persists, make sure you have installed libphonon-dev.


Having trouble with Qt4 and Qt5

If qt4 and qt5 are both installed on your computer, that may cause troubles. While you compile Rolisteam v1.6.1 (or older), you must use qt4. So you may need to run

 lrelease-qt4 rolisteam.pro
 qmake-qt4 rolisteam.pro
 make


Make install ?

Warning: There is no rules to install the package. We will fix that soon.